/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

/* togmenu */

#togMenu {
  position: relative;
  width: 30px;
  aspect-ratio: 1/1;
  z-index: 4;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: stretch;
  -ms-flex-align: stretch;
  align-items: stretch;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
  padding: 0;
  cursor: pointer;
}

#togMenu.open {
  width: auto;
}

#togMenu .burger {
  display: block;
  width: 1.875rem;
  height: 1.5rem;
  -webkit-transform-origin: center;
  -ms-transform-origin: center;
  transform-origin: center;
}

.burger span {
  -webkit-transition: all 0.3s;
  -o-transition: all 0.3s;
  -webkit-transition: all 0.1s;
  -o-transition: all 0.1s;
  transition: all 0.1s;
  position: absolute;
  left: 0;
  width: 100%;
  height: 2px;
  background: var(--blanc);
  border: 0px solid;
  -webkit-transform-origin: center;
  -ms-transform-origin: center;
  transform-origin: center;
}

#burger span#t1 {
  top: 15%;
}

#burger span#t2 {
  top: calc(50%);
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

#burger span#t3 {
  bottom: 15%;
}

#togMenu.open .burger span {
  width: 131%;
  height: 3px;
  -webkit-transform-origin: center;
  -ms-transform-origin: center;
  transform-origin: center;
}

#togMenu.open #burger span#t1 {
  -webkit-transform-origin: top left;
  -ms-transform-origin: top left;
  transform-origin: top left;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
  top: 0;
}

#togMenu.open #burger span#t2 {
  display: none;
}

#togMenu.open #burger span#t3 {
  -webkit-transform-origin: bottom left;
  -ms-transform-origin: bottom left;
  transform-origin: bottom left;
  -webkit-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  transform: rotate(-45deg);
  bottom: 0;
}
/* header */

#menu_principal {
  display: none;
}

#menu_principal ul {
  list-style: none;
  padding: 0;
}

#menu_principal ul a {
  text-decoration: none;
  color: var(--blanc);
  font-weight: var(--normal);
  display: block;
}

#menu_principal.open {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  top: var(--header-height);
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  left: 0;
  position: absolute;
  z-index: 3;
  background-color: var(--noir);
  height: calc(100vh - var(--header-height));
  width: 100%;
  padding-left: calc((100% - var(--container-width)) / 2);
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  -webkit-box-align: start;
  -ms-flex-align: start;
  align-items: flex-start;
  overflow-y: scroll;
}

#menu_principal nav {
  padding-top: 3.62rem;
  padding-bottom: 3.62rem;
  width: 100%;
}

#site-header {
  width: 100%;
  z-index: 4;
  position: fixed;
  top: 0;
  left: 0;
  height: var(--header-height);
}

#site-header .menu_bar {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  background-color: var(--noir);
  border: 2px solid var(--blanc);
  padding: 0 var(--gap-312);
  height: 100%;
  width: 100%;
}

.menu_contact {
  font-family: var(--font-family);
  line-height: normal;
  font-size: 1.5rem;
  text-align: center;
  color: var(--blanc);
  font-weight: var(--normal);
  text-decoration: none;
  text-transform: uppercase;
}

/* #menu_principal .top-menu>li, */
#menu_principal .top-menu > li > a {
  position: relative;
}

#menu_principal .top-menu > li > a:after {
  content: "";
  position: absolute;
  width: 60px;
  height: 1.5px;
  top: 0;
  left: 0;
  background-color: var(--blanc);
}

#menu_principal .top-menu > li > a {
  font-family: var(--font-family-spec);
  padding: 1rem 0 1rem 0;
  text-transform: uppercase;
  line-height: 140%;
  font-size: 2rem;
}

#menu_principal .sub-menu > li > a {
  padding: 0;
  padding-left: 1.88rem;
  font-size: 1.8rem;
  line-height: 175%;
  letter-spacing: 0.1875rem;
}

/* cta */

.cta_container_mobile {
  padding-right: 3.62rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  gap: var(--gap-125);
  margin-left: auto;
  padding-bottom: 4rem;
}

.cta_container_mobile .bouton {
  padding-top: 0.31rem;
  padding-bottom: 0.31rem;
}

@media (min-width: 768px) {
  .cta_container_mobile {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
  }
}

@media (max-width: 1023px) {
  .hide_header #site-header {
    top: -100%;
    -webkit-transition: top 0.4s ease;
    -o-transition: top 0.4s ease;
    transition: top 0.4s ease;
  }
  .home:not(.scrollingUp):not(.scrolled),
  .home.scrollingUp:not(.scrolled) .entete_home {
    margin-top: var(--header-height);
    -webkit-transition: top 0.4s ease;
    -o-transition: top 0.4s ease;
    transition: top 0.4s ease;
  }

  .home.hide_header .entete_home {
    -webkit-transition: top 0.4s ease;
    -o-transition: top 0.4s ease;
    transition: top 0.4s ease;
    margin-top: 0;
  }
  #menu_top .top-menu > .menu-item + .menu-item {
    margin-top: var(--gap-312);
  }
  #site-header .logo img {
    max-height: 80%;
  }
  #site-header .logo {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    height: 100%;
  }
}
@media (min-width: 1024px) and (max-width: 1279px) {
  #menu_principal .top-menu > li > a {
    font-size: 1.8rem;
  }
  #menu_principal .sub-menu > li > a {
    font-size: 1.5em;
  }
}

@media (min-width: 1024px) {
  /* header */
  #site-header {
    width: var(--header-width);
    height: 100%;
  }

  #site-header .menu_bar {
    border-width: 3px;
    position: relative;
    height: 100%;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    padding: var(--gap-312) 0 70px 0;
    z-index: 6;
  }
  #site-header .logo img {
    max-width: 80%;
  }
  #site-header .logo {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 100%;
  }

  .menu_contact {
    font-size: 1.2rem;
  }

  #menu_principal.open {
    top: 0;
    left: var(--header-width);
    width: calc(100vw - var(--header-width));
    height: 100%;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
  }

  #menu_principal nav {
    padding: 3.62rem 3.62rem 3.62rem 3.62rem;
    width: 100%;
    height: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
  }

  #menu_principal .sub-menu {
    display: none;
    position: absolute;
    top: initial;
    left: 0;
    width: 100%;
  }

  #menu_principal ul.top-menu > li:hover .sub-menu {
    width: calc(100vw - var(--header-width) - 3.62rem - 3.62rem);
    background-color: var(--noir);
    z-index: 1;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    height: 100%;
  }

  /* menu gauche */

  #menu_principal .top-menu {
    position: relative;
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    overflow: hidden;
  }
  #menu_principal .top-menu > li > a {
    padding-top: 1.88rem;
    padding-bottom: 3.12rem;
    padding-right: 3vw;
    /* text-wrap: nowrap; */
    font-size: 2.5vw;
  }

  #menu_principal .top-menu > li.level-0:nth-child(-n + 3) {
    width: 33%;
  }
  #menu_principal .top-menu > li:hover > a {
    font-family: var(--font-family);
    font-weight: var(--normal);
    -webkit-text-decoration-line: underline;
    text-decoration-line: underline;
  }

  #menu_principal .top-menu > li:not(:last-child) > a:after {
    width: 4vw;
    height: 3px;
  }

  /* menu droite */
  #menu_principal .sub-menu > li > a {
    padding: 1.88rem 0rem 1rem 0rem;
    /* text-wrap: nowrap; */
    text-transform: uppercase;
    font-family: var(--font-family);
    margin-right: 5vw;
    position: relative;
  }

  #menu_principal .sub-menu > li > a:after {
    content: "";
    position: absolute;
    width: 4vw;
    height: 3px;
    top: 0;
    left: 0;
    background-color: var(--blanc);
  }

  .li-greyed-out a {
    color: var(--textPrimary) !important;
  }

  .cta_container_mobile {
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: 3;
  }
  #page .cta_container_mobile a:hover {
    background-color: var(--blanc);
    color: var(--textPrimary);
  }
}

@media (min-width: 1280px) {
  #menu_principal nav {
    padding-left: 5.62rem;
    padding-right: 5.62rem;
  }

  .cta_container_mobile {
    padding-right: 5.62rem;
  }

  #menu_principal .top-menu > li > a {
    /* text-wrap: nowrap; */
    font-size: 2.5vw;
  }

  #menu_principal .sub-menu > li > a {
    font-size: 1.5em;
  }
  .menu_contact {
    font-size: 1.5rem;
  }
  #menu_principal ul.top-menu > li:hover .sub-menu {
    width: calc(100vw - var(--header-width) - 5.62rem - 5.62rem);
  }
}

@media (min-width: 1536px) {
  #menu_principal nav {
    padding-left: 7.62rem;
    padding-right: 7.62rem;
  }
  .cta_container_mobile {
    padding-right: 7.62rem;
  }
  #menu_principal ul.top-menu > li:hover .sub-menu {
    width: calc(100vw - var(--header-width) - 7.62rem - 7.62rem);
  }
}

@media (min-width: 1800px) {
  #menu_principal nav {
    max-width: 1800px;
  }
  #menu_principal .top-menu > li > a {
    font-size: 3rem;
    padding-right: 7.62rem;
  }

  #menu_principal .sub-menu > li > a:after,
  #menu_principal .top-menu > li:not(:last-child) > a:after {
    width: 110px;
  }
}

/* footer */

footer {
  background: var(--noir);
  padding-top: var(--gap-312);
  padding-bottom: var(--gap-312);
  border-top: 3px solid var(--blanc);
  border-right: 3px solid var(--blanc);
}

footer .container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  row-gap: var(--gap-625);
}

footer .contact .phone + a,
footer .contact .address + .phone {
  margin-top: var(--gap-125);
}

footer .sns a + a,
footer .contact a:not(.phone) + a {
  margin-top: var(--gap-062);
}

footer .horaires p,
footer .horaires span,
footer .address p,
footer .address span {
  line-height: normal;
  text-transform: uppercase;
  color: var(--blanc);
  font-family: var(--font-family);
}

footer .horaires span,
footer .address span {
  padding-left: calc(12px + var(--gap-062));
  font-size: var(--fs-l);
  font-weight: var(--normal);
  margin-bottom: var(--gap-062);
  display: inline-block;
  position: relative;
}

footer .horaires span:before,
footer .address span:before {
  content: "";
  display: inline-block;
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  left: 0;
  width: 9px;
  height: 9px;
  border-radius: 50%;
  border: 2px solid var(--secondary);
}

footer .horaires p,
footer .address p {
  font-size: var(--fs-base);
  font-weight: var(--normal);
}

footer .contact .phone {
  font-family: var(--font-family);
  display: block;
  font-size: var(--fs-l);
  font-weight: var(--normal);
  line-height: 111%;
  color: var(--blanc);
  text-decoration: none;
}

footer .horaires + .sns {
  margin-top: var(--gap-125);
}

#page footer .bouton {
  border-width: 2px;
  font-size: var(--fs-s);
  padding: var(--gap-062) 1.25rem var(--gap-062) 1.25rem;
  border-radius: var(--rounded-l);
}

#page footer .bouton:hover:after {
  background-image: url("../images/custom/arrow_blanc_hover.svg");
}

#page footer .bouton.contact:after {
  width: 22px;
  height: 19px;
  background-image: url(../images/custom/contact.svg);
}

#page footer .contact .contact.bouton {
  color: var(--noir);
}

#page footer .contact .contact.bouton:hover {
  color: var(--blanc);
}

#page footer .sns .bouton {
  padding: var(--gap-062) 0.94rem var(--gap-062) 0.94rem;
  padding-left: calc(0.94rem + 0.62rem + 26px);
  border-radius: 1.875rem;
}

#page footer .sns .bouton:nth-child(1) {
  background-image: url(../images/custom/facebook.svg);
  background-repeat: no-repeat;
  background-position: 0.94rem center;
  background-size: 26px 26px;
}
#page footer .sns .bouton:nth-child(2) {
  background-image: url(../images/custom/instagram.svg);
  background-repeat: no-repeat;
  background-position: 0.94rem center;
  background-size: 26px 26px;
}

.join {
  background-color: var(--secondary);
  border: 2px solid var(--blanc);
  border-radius: var(--rounded);
  padding: 3.12rem;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
}

.join span.title {
  color: var(--blanc);
  font-family: var(--font-family);
  font-weight: var(--normal);
  font-size: calc(1.5 * var(--fs-l));
  line-height: 110%;
  margin-bottom: 2.5rem;
  display: block;
}

.join a {
  display: block;
  text-decoration: none;
  font-size: calc(var(--fs-base) + 0.1rem);
  line-height: 100%;
  color: var(--blanc);
  padding-right: calc(1.31rem + 2.5rem + 37px);
  position: relative;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
}

.join a:after {
  display: block;
  content: "";
  width: 44px;
  height: 44px;
  border: 3px solid var(--blanc);
  border-radius: 50%;
  position: absolute;
  top: 50%;
  right: 0;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

.join a:hover:after {
  background-color: var(--blanc);
}

footer .vertical_line {
  display: none;
}

@media (min-width: 1024px) and (max-width: 1535px) {
  footer .container {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr var(--gap-625) 1fr;
    grid-template-columns: 1fr 1fr;
    gap: var(--gap-625);
  }
}

@media (min-width: 1536px) {
  footer .container {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: stretch;
    -ms-flex-align: stretch;
    align-items: stretch;
  }

  footer .vertical_line {
    display: block;
    width: 3px;
    background-color: var(--blanc);
  }
  footer .logo {
    max-width: 15vw;
  }

  .join {
    width: 20rem;
  }
}

@media (min-width: 1536px) {
  footer .contact .phone {
    font-size: var(--fs-l);
  }
  #page footer .bouton {
    font-size: var(--fs-base);
  }
}

#sub_footer {
  background-color: var(--noir);
  border-bottom: 3px solid var(--blanc);
  border-right: 3px solid var(--blanc);
}

#sub_footer .container {
  padding: var(--gap-125) 0;
  border-top: 3px solid var(--blanc);
}

#sub_footer ul {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  list-style-type: none;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  padding: 0;
}

#sub_footer li {
  padding: 0 var(--gap-125);
  border-left: 1px solid var(--blanc);
  line-height: 150%;
  font-size: var(--fs-s);
  color: var(--blanc);
  text-wrap: nowrap;
}

#sub_footer li a {
  position: relative;
  text-decoration: none;
  padding-right: calc(1.25rem + 9px + 1.25rem);
}

#sub_footer li a:after {
  display: block;
  position: absolute;
  top: 50%;
  right: 1.25rem;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  content: "";
  width: 10px;
  height: 10px;
  background: url("../images/custom/arrow-alt-white.svg") no-repeat center
    center / contain;
}

#sub_footer li:last-child {
  border-right: 1px solid var(--blanc);
}

@media (min-width: 1536px) {
  #sub_footer li {
    font-size: var(--fs-m);
  }
}
